# The values below are for a copy of MOAB used directly
# from its build directory. These values will be overridden below
# for installed copies of MOAB.

# Feature list
MOAB_MPI_ENABLED = ON
MOAB_FORTRAN_ENABLED = ON
MOAB_HDF5_ENABLED = OFF
MOAB_NETCDF_ENABLED = OFF
MOAB_PNETCDF_ENABLED = OFF
MOAB_IGEOM_ENABLED = OFF
MOAB_IMESH_ENABLED = ON
MOAB_IREL_ENABLED = OFF
MOAB_FBIGEOM_ENABLED = OFF
MOAB_MESQUITE_ENABLED = OFF

# Library and Include paths
MOAB_LIBDIR = C:/_/M/mingw-w64-moab/src/build-i686-w64-mingw32/src/.libs
MOAB_INCLUDES = -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src \
                -IC:/_/M/mingw-w64-moab/src/build-i686-w64-mingw32/src \
                -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/oldinc \
                -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/verdict \
                -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/parallel \
                -IC:/_/M/mingw-w64-moab/src/build-i686-w64-mingw32/src/parallel \
                -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/LocalDiscretization \
                -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/RefineMesh

ifeq ($(MOAB_IGEOM_ENABLED),yes)
include 
MOAB_INCLUDES += $(IGEOM_INCLUDES)
endif

ifeq ($(MOAB_MESQUITE_ENABLED),yes)
MSQ_LIBS = -LC:/_/M/mingw-w64-moab/src/build-i686-w64-mingw32/src/mesquite/.libs -lmbmesquite
MSQ_INCLUDES = -IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/include \
	-IC:/_/M/mingw-w64-moab/src/build-i686-w64-mingw32/src/mesquite/include \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/Mesh \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/Control \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/Wrappers \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/MappingFunction \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/MappingFunction/Lagrange \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/MappingFunction/Linear \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/Misc \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/ObjectiveFunction \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityAssessor \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityImprover \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityImprover/OptSolvers \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityImprover/Relaxation \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric/Debug \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric/Shape \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric/Smoothness \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric/TMP \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric/Untangle \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/QualityMetric/Volume \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetCalculator \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/Misc \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/Shape \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/ShapeOrient \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/ShapeSize \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/ShapeSizeOrient \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/Size \
	-IC:/_/M/mingw-w64-moab/src/moab-5.2.1/src/mesquite/TargetMetric/Untangle

MOAB_INCLUDES += ${MSQ_INCLUDES}
endif

MOAB_INCLUDES += 

MOAB_CPPFLAGS = -march=i686 -mtune=generic -O2 -pipe -pedantic -fpic -Wall -Wno-long-long -Wextra -Wno-cast-align -Wsign-compare -Wpointer-arith -Wformat -Wformat-security -Wunused-parameter -mtune=native -fpermissive -Wno-ignored-attributes -Wno-variadic-macros -Wno-deprecated-declarations -std=gnu++0x -Wno-unused-local-typedefs -DUSE_MPI 
MOAB_CXXFLAGS = -O3 -DNDEBUG 
MOAB_CFLAGS = -O3 -DNDEBUG 
MOAB_FFLAGS = -funroll-all-loops -fno-f2c -O2
MOAB_FCFLAGS = 
MOAB_LDFLAGS =   

# missing support for DAMSEL, CCMIO
# PROBABLY FORMATTED INCORRECTLY
MOAB_EXT_LIBS =     \
                    \
                  D:/a/_temp/msys/msys64/mingw32/lib/libopenblas.dll.a D:/a/_temp/msys/msys64/mingw32/lib/libopenblas.dll.a  
MOAB_LIBS_LINK = ${MOAB_LDFLAGS} -L${MOAB_LIBDIR} -lMOAB ${MSQ_LIBS} $(MOAB_EXT_LIBS) 
DAGMC_LIBS_LINK = ${MOAB_LDFLAGS} -L${MOAB_LIBDIR}  -lMOAB ${MSQ_LIBS} $(MOAB_EXT_LIBS)

MOAB_CXX = D:/a/_temp/msys/msys64/mingw32/bin/c++.exe
MOAB_CC  = D:/a/_temp/msys/msys64/mingw32/bin/cc.exe
MOAB_FC  = D:/a/_temp/msys/msys64/mingw32/bin/gfortran.exe
MOAB_F77  = D:/a/_temp/msys/msys64/mingw32/bin/gfortran.exe

# Override MOAB_LIBDIR and MOAB_INCLUDES from above with the correct
# values for the installed MOAB.

# NEED TO ADD SOMETHING TO MODIFY THIS FILE AT INSTALL TIME (OR FIX ISSUE #30)
